/**
 * @file
 * Visual styles for nodes.
 */

/* ----- Unpublished nodes ----- */

/* Node tabs color */
body:has(.node--unpublished.node--view-mode-full) .region-pre-content {
  margin-block: 0;
  padding-block: var(--section-block-padding);
  background-color: var(--color-unpublished-background);
}

/* Teasers */
.node--unpublished:not(.node--view-mode-full) {
  background-color: var(--color-unpublished-background);
}


/* Add mark */
body:has(.node--unpublished.node--view-mode-full) .region-pre-content ul.tabs.primary::before {
  content: "Not Published";
  align-self: center;
  padding-block: 0.125rem;
  padding-inline: 0.5rem;
  background-color: var(--color-unpublished-background-dark);
  white-space: nowrap;
  font-size: var(--font-size-minus-4);
  font-weight: var(--font-weight-semibold);
}

/* Fix mobile tabs edge gradient color */
body:has(.node--unpublished.node--view-mode-full) .region-pre-content nav.tabs {
  --color-background: var(--color-unpublished-background);
}
